function init_schema(mongoose) {
 	var requestSchema = new mongoose.Schema({
	  	id: String,
	  	status: String,
	  	type: String,
		link: String,
		link_video: String,
		institution: String,
		author: String,
		user: String,
		subtitle: String,
		manualrevision: String,
		reasonofrevision: String,
		dictionary: String,
	  	created_at: { type: Date },
	  	updated_at: { type: Date },
	  	callbackURL: String
	});

	var Request = mongoose.model('Request', requestSchema);

	return Request;
};

module.exports.init = init_schema;
